aboutsummaryrefslogtreecommitdiffstats
path: root/opie-handwriting
diff options
context:
space:
mode:
authorMichael Lauer <mickey@vanille-media.de>2004-05-19 20:37:16 +0000
committerMichael Lauer <mickey@vanille-media.de>2004-05-19 20:37:16 +0000
commit44474c6c1fe7d6e8817aac7499131512fb37c073 (patch)
treec1817205b4fff91a50a78fc74ff6b09dc2ed78c9 /opie-handwriting
parent7b4b8b028748f915c3ca1f9525fe952b20d52f37 (diff)
downloadopenembedded-44474c6c1fe7d6e8817aac7499131512fb37c073.tar.gz
merge handwriting sets into handwriting and opie-dasher languages into opie-dasher
BKrev: 40abc57cQ7cHqXsJX4DyqbnoIM8mCA
Diffstat (limited to 'opie-handwriting')
-rw-r--r--opie-handwriting/opie-handwriting_cvs.oe52
1 files changed, 52 insertions, 0 deletions
diff --git a/opie-handwriting/opie-handwriting_cvs.oe b/opie-handwriting/opie-handwriting_cvs.oe
index e69de29bb2..8660693e38 100644
--- a/opie-handwriting/opie-handwriting_cvs.oe
+++ b/opie-handwriting/opie-handwriting_cvs.oe
@@ -0,0 +1,52 @@
+DESCRIPTION = "Handwriting input method"
+SECTION = "opie/inputmethods"
+PRIORITY = "optional"
+MAINTAINER = "Open Embedded <oe@handhelds.org>"
+LICENSE = "GPL"
+PV = "1.1.4-cvs-${CVSDATE}"
+APPNAME = "qhandwriting"
+PR = "2"
+
+SRC_URI = "cvs://anoncvs:anoncvs@cvs.handhelds.org/cvs;module=opie/inputmethods/handwriting;date=${CVSDATE} \
+ cvs://anoncvs:anoncvs@cvs.handhelds.org/cvs;module=opie/etc/qimpen;date=${CVSDATE}"
+
+S = "${WORKDIR}/handwriting"
+
+inherit opie
+
+pkg_postinst() {
+#!/bin/sh
+if [ -n $D ]; then exit 1; fi
+if pidof -s qpe >/dev/null; then
+ /opt/QtPalmtop/bin/qcop QPE/TaskBar "reloadInputMethods()"
+else
+ exit 0
+fi
+
+}
+
+pkg_postrm() {
+#!/bin/sh
+if [ -n $D ]; then exit 1; fi
+/opt/QtPalmtop/bin/qcop QPE/TaskBar "reloadInputMethods()"
+}
+
+# FILES plugins/inputmethods/libqhandwriting.so*
+do_install() {
+ install -d ${D}${palmtopdir}/etc/qimpen/
+ for f in ../qimpen/*
+ do
+ [ -f $f ] && install -m 0644 $f ${D}${palmtopdir}/etc/qimpen/
+ done
+}
+
+PACKAGES = " opie-handwriting-classicset opie-handwriting-graffitiset opie-handwriting "
+
+FILES_opie-handwriting = "${palmtopdir}/plugins/inputmethods/libqhandwriting.so*"
+FILES_opie-handwriting-classicset = "${palmtopdir}/etc/qimpen/default.conf \
+ ${palmtopdir}/etc/qimpen/combining.qpt \
+ ${palmtopdir}/etc/qimpen/asciilower.qpt \
+ ${palmtopdir}/etc/qimpen/asciiupper.qpt \
+ ${palmtopdir}/etc/qimpen/numeric.qpt"
+FILES_opie-handwriting-graffitiset = "${palmtopdir}/etc/qimpen/graffiti*"
+